|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWSClient Class Reference
[QtGui module]

The QWSClient class encapsulates a client process in Qt for Embedded Linux. More...

     #include <QWSClient>

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- int clientId () const
- QString identity () const

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QWSClient class encapsulates a client process in Qt for Embedded Linux.

When you run a Qt for Embedded Linux application, it either runs as a server or connects to an existing server. The server and client processes have different responsibilities: The client process performs all application specific operations. The server process is responsible for managing the clients as well as taking care of the pointer handling, character input, and screen output. In addition, the server provides functionality to handle input methods.

As applications add and remove windows, the server process maintains information about each window. In Qt for Embedded Linux, top-level windows are encapsulated as QWSWindow objects. A list of the current windows can be retrieved using the QWSServer::clientWindows() function, and each window can tell which client that owns it through its QWSWindow::client() function.

A QWSClient object has an unique ID that can be retrieved using its clientId() function. QWSClient also provides the identity() function which typically returns the name of this client's running application.

See also QWSServer, QWSWindow, and Qt for Embedded Linux Architecture.

## Member Function Documentation

### int QWSClient::clientId () const

Returns an integer uniquely identfying this client.

### QString QWSClient::identity () const

Returns the name of this client's running application.